Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLStyleElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLStyleElementImpl

public class HTMLStyleElementImpl
extends HTMLElementImpl
implements HTMLStyleElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:58:04 $
Author:
  Assaf Arkin
See Also:
  `HTMLStyleElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLStyleElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`boolean` | `getDisabled()` Enables/disables the style sheet.
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getType()` The content type pf the style sheet language.
`void` | `setDisabled(boolean disabled)`
`void` | `setMedia(java.lang.String media)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLStyleElementImpl

    public HTMLStyleElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDisabled

    public boolean getDisabled()

  Description copied from interface: HTMLStyleElement
  Enables/disables the style sheet.
  Specified by:
    getDisabled in interface HTMLStyleElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface HTMLStyleElement

### getMedia

    public java.lang.String getMedia()

  Description copied from interface: HTMLStyleElement
  Designed for use with one or more target media. See the media attribute definition in HTML 4.0.
  Specified by:
    getMedia in interface HTMLStyleElement

### setMedia

    public void setMedia(java.lang.String media)

  Specified by:
    setMedia in interface HTMLStyleElement

### getType

    public java.lang.String getType()

  Description copied from interface: HTMLStyleElement
  The content type pf the style sheet language. See the type attribute definition in HTML 4.0.
  Specified by:
    getType in interface HTMLStyleElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface HTMLStyleElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.